ubuntu解决软件安装依赖错误

ubuntu解决软件安装依赖问题
无法用apt-get install package_name 安装软件啦,总是出现依赖错误,导致不安装软件。连基本的aptitude debian包管理软件也不能用apt安装。错误出处:

ubuntu解决软件安装依赖错误_第1张图片
原因:安装cuda-10.1,安装过程一片混乱,不能卸载,最终导致不能用apt安装软件。

打开ubuntu自带的软件包管理器,其它软件,发现有两个地方file:///var/cuda-repo…是可能的出错源头,去掉对勾,关闭。
ubuntu解决软件安装依赖错误_第2张图片

sudo apt-get -f install

这个命令会针对当前不满足的依赖关系,下载正确版本的依赖库

sudo apt update  

更新软件列表

sudo apt install aptitude

OK,现在可以安装aptitude了!!!

你可能感兴趣的